Name:           libjaylink
Version:        0.1.0
Release:        3%{?dist}
Summary:        Library for SEGGER J-Link and compatible devices

License:        GPLv2+
URL:            http://repo.or.cz/%{name}.git
Source0:        http://projects.zapb.de/%{name}/download/%{name}-%{version}.tar.gz 

BuildRequires:  pkgconfig(libusb-1.0)

%description
libjaylink is a shared library written in C to access SEGGER J-Link
and compatible devices.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%configure --disable-static
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%__mkdir -p $RPM_BUILD_ROOT/usr/lib/udev/rules.d/
%__sed -e 's/MODE="664", GROUP="plugdev"/TAG+="uaccess"/g' contrib/99-libjaylink.rules > $RPM_BUILD_ROOT/usr/lib/udev/rules.d/60-libjaylink.rules

%post -n %{name} -p /sbin/ldconfig

%post -n %{name}-devel -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%postun -n %{name}-devel -p /sbin/ldconfig

%files
%license COPYING
%doc README NEWS
%{_libdir}/*.so.*
%{_prefix}/lib/udev/rules.d/*

%files devel
%doc HACKING
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Mar  9 2017 Jiri Kastner <jkastner@redhat.com> - 0.1.0-3
- fixed %post and %postun scriptlets

* Wed Mar  8 2017 Jiri Kastner <jkastner@redhat.com> - 0.1.0-2
- fixed BuildRequires
- added udev rules

* Tue Jan  3 2017 Jiri Kastner <jkastner@redhat.com> - 0.1.0-1
- initial version
